SSH-DUMMY-SHELL(1)

NAME
ssh-dummy-shell - Ultimately restricted shell

SYNOPSIS
ssh-dummy-shell [-c sftp-shell ]

DESCRIPTION

ssh-dummy-shell is used to provide access to systems where only file transfer functionality is permitted. Users with file-transfer-only access can have ssh-dummy-shell as their user shell. When executed without any parameters, the program waits for user to press any key and exit. The only way to execute programs with ssh-dummy-shell is to give them as command-line parameters with the -c option. Even then, sftp-server is the only allowed command.

OPTIONS

-c command
    Parameter is executed as a shell command. Only sftp-server command is allowed. Any other command causes ssh-dummy-shell to exit immediately.

RETURN STATUS
ssh-dummy-shell returns the return value of the given command. If no command is given, 0 will be returned on exit.

FILES

/etc/ssh2/ssh_dummy_shell.out
    Contains the message that is shown to the user when ssh-dummy-shell is executed without any parameters.

AUTHORS

SSH Communications Security Corp. For more information, see http://www.ssh.com.

SEE ALSO
sftp(1), sftp-server(1), ssh2(1), sshd2(8)